Subject: bug#21511: closed (Re: bug#21511: sed not performing as specified)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Sep 2015 16:37:02 +0000

Your bug report

#21511: sed not performing as specified

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21511: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21511
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21511: sed not performing as specified
From: Jim Meyering <[email-masked]>
To: Davide Brini <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Sep 2015 09:35:40 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 21511 notabug
thanks

On Fri, Sep 18, 2015 at 1:39 AM, Davide Brini <[email-masked]> wrote:
...
>> "are" giving "Thare"; BUT the following two lines also have "is" replaced
>> by "are" EXCEPT for the "is" after "Thare". It is ALMOST as if I had
>> invoked the global: sed s/is/are/g test1 EXCEPT for the 2nd "is" after
>> "Thare"?
>
> Sed replaces the first instance of "is" in each line with "are". Nothing
> unexpected, no bug.

Thanks for responding Davide.
I'm responding to the bug-number address, but with "-done" inserted to
close the auto-created "issue": [email-masked].
I added the two lines at the top of this message to record in the
issue database that this is not a bug.

Subject: sed not performing as specified
From: Beagleburt <[email-masked]>
To: [email-masked]
Date: Fri, 18 Sep 2015 18:14:28 +1200
List-Id: <debbugs-submit.debbugs.gnu.org>

I am doing an online course "Introduction to Linux"
 Home Page <https://www.edx.org> LinuxFoundationX: LFS101x.2
Introduction to Linux
Chapter 13: Manipulating Text; Section 2. sed & awk

~$ cat > test1
This is a Sample Test File for the sed command.
The sed command is used to edit contents in a file.
For example, the sed command is used to replace words in a line or file.
~$ sed s/is/are/ test1
Thare is a Sample Test File for the sed command.
The sed command are used to edit contents in a file.
For example, the sed command are used to replace words in a line or file.

As you can see above the 1st instance of "is" in "This" is replaced by
"are" giving "Thare"; BUT the following two lines also have "is" replaced
by "are" EXCEPT for the "is" after "Thare". It is ALMOST as if I had
invoked the global: sed s/is/are/g test1 EXCEPT for the 2nd "is" after
"Thare"?

I am using sed version: sed (GNU sed) 4.2.2

'b'ye - Bruce Gilbert.

"For we have not been given a spirit of fear, but a spirit of Power; of
Love; & of a Sound Mind." 2nd Timothy, chapter 1, verse 7.